﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace IG14TestControls
{
    public partial class SiteMaster : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void webNavigation_ItemSelected(object sender, Infragistics.Web.UI.NavigationControls.ExplorerBarItemSelectedEventArgs e)
        {
            string redirectURL = e.NewSelectedItem.Value.ToString();
            if (redirectURL != "")
            {
                Response.Redirect(redirectURL);
            }
        }

        protected void webNavigation_Init(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Restore the state (selected/expanded) of the nav menu
                WebExplorerBarState state = (WebExplorerBarState)(Session["_WebExplorerState_Master_"]);
                if (state != null)
                {
                    WebExplorerBarState.SetWebExplorerBarState(webNavigation, state);
                }

                WebExplorerBarState.SetWebExplorerBarStyle(webNavigation);
            }
        }

        protected void webNavigation_PreRender(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                WebExplorerBarState.SetWebExplorerBarStyle(webNavigation);
            }
        }

        protected void webNavigation_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                WebExplorerBarState.SetWebExplorerBarStyle(webNavigation);
            }
        }

        protected void webNavigation_Unload(object sender, EventArgs e)
        {
            // Store the state (selected/expanded) of the nav menu
            Session["_WebExplorerState_Master_"] = new WebExplorerBarState(webNavigation);
        }
    }
}
